import React, { useContext } from 'react';
import MenuProvider from 'material-ui-shell/lib/providers/Menu/Provider';
import ThemeProvider from 'material-ui-shell/lib/providers/Theme/Provider';
import ConfigContext from 'base-shell/lib/providers/Config/Context';
export default function (_ref) {
  var children = _ref.children;

  var _useContext = useContext(ConfigContext),
      appConfig = _useContext.appConfig;

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(MenuProvider, {
    appConfig: appConfig
  }, /*#__PURE__*/React.createElement(ThemeProvider, {
    appConfig: appConfig
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex'
    }
  }, children))));
}